<?php
/**
 * Flash News Section
 *
 * @package News Revolution
 */

$wp_customize->add_section(
	'news_revolution_flash_news_section',
	array(
		'panel' => 'news_revolution_front_page_options',
		'title' => esc_html__( 'Flash News Section', 'news-revolution' ),
	)
);

// Flash News Section - Enable Section.
$wp_customize->add_setting(
	'news_revolution_enable_flash_news_section',
	array(
		'default'           => false,
		'sanitize_callback' => 'news_revolution_sanitize_switch',
	)
);

$wp_customize->add_control(
	new News_Revolution_Toggle_Switch_Custom_Control(
		$wp_customize,
		'news_revolution_enable_flash_news_section',
		array(
			'label'    => esc_html__( 'Enable Flash News Section', 'news-revolution' ),
			'section'  => 'news_revolution_flash_news_section',
			'settings' => 'news_revolution_enable_flash_news_section',
		)
	)
);

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial(
		'news_revolution_enable_flash_news_section',
		array(
			'selector' => '#news_revolution_flash_news_section .section-link',
			'settings' => 'news_revolution_enable_flash_news_section',
		)
	);
}

// Flash News Section - Section Title.
$wp_customize->add_setting(
	'news_revolution_flash_news_title',
	array(
		'default'           => __( 'Flash News', 'news-revolution' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'news_revolution_flash_news_title',
	array(
		'label'           => esc_html__( 'Section Title', 'news-revolution' ),
		'section'         => 'news_revolution_flash_news_section',
		'settings'        => 'news_revolution_flash_news_title',
		'type'            => 'text',
		'active_callback' => 'news_revolution_is_flash_news_section_enabled',
	)
);

// Flash News Section - Speed Controller.
$wp_customize->add_setting(
	'news_revolution_flash_news_speed_controller',
	array(
		'default'           => 30,
		'sanitize_callback' => 'news_revolution_sanitize_number_range',
	)
);

$wp_customize->add_control(
	'news_revolution_flash_news_speed_controller',
	array(
		'label'           => esc_html__( 'Speed Controller', 'news-revolution' ),
		'description'     => esc_html__( 'Note: Default speed value is 30.', 'news-revolution' ),
		'section'         => 'news_revolution_flash_news_section',
		'settings'        => 'news_revolution_flash_news_speed_controller',
		'type'            => 'number',
		'input_attrs'     => array(
			'min' => 1,
		),
		'active_callback' => 'news_revolution_is_flash_news_section_enabled',
	)
);

// Flash News Section - Content Type.
$wp_customize->add_setting(
	'news_revolution_flash_news_content_type',
	array(
		'default'           => 'category',
		'sanitize_callback' => 'news_revolution_sanitize_select',
	)
);

$wp_customize->add_control(
	'news_revolution_flash_news_content_type',
	array(
		'label'           => esc_html__( 'Select Content Type', 'news-revolution' ),
		'section'         => 'news_revolution_flash_news_section',
		'settings'        => 'news_revolution_flash_news_content_type',
		'type'            => 'select',
		'active_callback' => 'news_revolution_is_flash_news_section_enabled',
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'news-revolution' ),
			'category' => esc_html__( 'Category', 'news-revolution' ),
		),
	)
);

for ( $i = 1; $i <= 6; $i++ ) {
	// Flash News Section - Select Post.
	$wp_customize->add_setting(
		'news_revolution_flash_news_content_post_' . $i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'news_revolution_flash_news_content_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'news-revolution' ), $i ),
			'section'         => 'news_revolution_flash_news_section',
			'settings'        => 'news_revolution_flash_news_content_post_' . $i,
			'active_callback' => 'news_revolution_is_flash_news_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => news_revolution_get_post_choices(),
		)
	);

}

// Flash News Section - Select Category.
$wp_customize->add_setting(
	'news_revolution_flash_news_content_category',
	array(
		'sanitize_callback' => 'news_revolution_sanitize_select',
	)
);

$wp_customize->add_control(
	'news_revolution_flash_news_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'news-revolution' ),
		'section'         => 'news_revolution_flash_news_section',
		'settings'        => 'news_revolution_flash_news_content_category',
		'active_callback' => 'news_revolution_is_flash_news_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => news_revolution_get_post_cat_choices(),
	)
);
